lp:ubuntu/natty-proposed/python-httplib2

Created by Ubuntu Package Importer and last modified
Get this branch:
bzr branch lp:ubuntu/natty-proposed/python-httplib2
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

11. By Marc Deslauriers

* SECURITY UPDATE: Incorrect SSL certificate validation (LP: #882030)
  - Backport 0.7.2 as a security update to get proper SSL certificate
    validation support and prevent MITM attacks.

10. By Piotr O┼╝arowski

* Team upload.

[ Luca Falavigna ]
* debian/control:
  - Add Breaks: ${python:Breaks} to generate correct dependencies, this
    also makes lintian override useless now.

[ Piotr O┼╝arowski ]
* Bump minimum required python3-all version to 3.1.2-10
  (and rebuild for /usr/lib/python3/dist-packages transtion)

9. By Matthias Klose

Rebuild for changed python3 site directory.

8. By Luca Falavigna

* debian/control:
  - Depend on ${python3:Depends} for python3-httplib2 to generate
    correct dependencies for Python 3.X (Closes: #591956).
  - Bump Standards-Version to 3.9.1, no changes required.
* debian/python-httplib2.lintian-overrides:
  - Override old-versioned-python-dependency, needs fixing in Lintian.

7. By Luca Falavigna

* Switch to format 3.0 (quilt).
* Switch to dh_python2.
* debian/control:
  - Add python3-httplib2 package.
  - Bump Standards-Version to 3.8.4, no changes required.
* debian/rules:
  - Install files for python3-httplib2 package.
* debian/watch:
  - Use googlecode.debian.net provider.

6. By Luca Falavigna

* New upstream release.
* Add new copyright holders.

5. By Luca Falavigna

* New upstream release (Closes: #461200) (LP: #373589).
* debian/compat:
  - Bump compat level to 7.
* debian/control:
  - New Maintainer (Closes: #542786).
  - Add Debian Python Modules Team to Uploaders.
  - Switch to python section to match override.
  - Remove cdbs from Build-Depends.
  - Bump debhelper required version to 7.2.18.
  - Do not build-depend on python-all-dev, depend on python instead.
  - Move python-support to Build-Depends-Indep.
  - Bump Standards-Version to 3.8.3.
  - Add Homepage field.
  - Add XS-Python-Version field.
  - Add Vcs-* fields to store Debian packaging.
  - Set Architecture to all.
  - Remove ${shlibs:Depends} from Depends.
  - Fix spelling errors in package description.
* debian/copyright:
  - Adjust copyright informations.
* debian/README.Debian:
  - Removed, already provided by upstream README.
* debian/pycompat:
  - Removed, useless.
* debian/rules:
  - Switch to debhelper 7.
* debian/watch:
  - Provide a watch file.

4. By Luca Falavigna

httplib2/__init__.py: apply upstream patch to fix a deprecation
warning and a timeout error with Python 2.6. Upstream commit is here:
http://code.google.com/p/httplib2/source/detail?r=275 (LP: #336067).

3. By James Westby

New upstream release (LP: #239734)

2. By Matthias Jahn <email address hidden>

* reformat description closes: #392116
* add missing-build-dependency python-all-dev

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/precise/python-httplib2
This branch contains Public information 
Everyone can see this information.

Subscribers